using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface ICoursesForStudyStorage
	{
		List<CoursesForStudyViewModel> GetFullList();
		List<CoursesForStudyViewModel> GetFilteredList(CoursesForStudySearchModel model);
		CoursesForStudyViewModel? GetElement(CoursesForStudySearchModel model);
		CoursesForStudyViewModel? Insert(CoursesForStudyBindingModel model);
		CoursesForStudyViewModel? Update(CoursesForStudyBindingModel model);
		CoursesForStudyViewModel? Delete(CoursesForStudyBindingModel model);
	}
}
